# Class WebappClassLoaderBase.PrivilegedFindClassByName

java.lang.Object
org.apache.catalina.loader.WebappClassLoaderBase.PrivilegedFindClassByName

All Implemented Interfaces:
  `PrivilegedAction<Class<?>>`

Enclosing class:
  `WebappClassLoaderBase`

protected class WebappClassLoaderBase.PrivilegedFindClassByName extends Object implements PrivilegedAction<Class<?>>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `run()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### run

    public Class<?> run()
    Specified by:
      `run` in interface `PrivilegedAction<Class<?>>`